Bug 249290 - firefox crashes after cairo update to 1.17.2
Summary: firefox crashes after cairo update to 1.17.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL:
Keywords:
: 249409 (view as bug list)
Depends on:
Blocks: 246816
  Show dependency treegraph
 
Reported: 2020-09-13 10:24 UTC by Stefan Ehmann
Modified: 2020-09-25 14:48 UTC (History)
10 users (show)

See Also:
bugzilla: maintainer-feedback? (desktop)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Ehmann 2020-09-13 10:24:23 UTC
After the upgrade of graphics/cairo from 1.16.0,2 to 1.17.2,2 firefox aborts with SIGBUS when I try to save a file.

Saving works when downgrading to 1.16.
Comment 1 Tatsuki Makino 2020-09-13 11:01:54 UTC
It seems to affect all gtk3 applications, not just firefox.
It doesn't seem to affect the GIMP.

We can't press the button to attach the file here.
But if we drag a file from the GIMP file dialog and drop it into the file selection button here, we can select the file :)
Comment 2 Tobias C. Berner freebsd_committer 2020-09-13 11:52:35 UTC
Moin moin

Hm, I cannot reproduce this in my firefox (tried on two machines).


mfg Tobias
Comment 3 Stefan Ehmann 2020-09-13 12:46:10 UTC
@Tobias: I have checked Preferences -> General -> Always ask you where to save files. The save dialog pops up and crash is imminent.

Maybe it doesn't happend when "Save files to Downloads" is activated.
Comment 4 cebulon 2020-09-13 16:14:32 UTC
I might have the same problem with xfce4 apps-menu. It does not crash, if i deselect show icons in menu in the options.
Comment 5 Jan Beich freebsd_committer 2020-09-13 16:15:15 UTC
Maybe update from 1.17.2 to "master" snapshot like other distributions did e.g.,

https://github.com/archlinux/svntogit-packages/commits/packages/cairo/trunk/PKGBUILD
https://github.com/ataraxialinux/ataraxia/commits/master/packages/cairo
Comment 6 commit-hook freebsd_committer 2020-09-13 16:38:12 UTC
A commit references this bug:

Author: yuri
Date: Sun Sep 13 16:37:22 UTC 2020
New revision: 548484
URL: https://svnweb.freebsd.org/changeset/ports/548484

Log:
  graphics/cairo: Roll back r548287 thyat upgraded cairo to 1.17.2 due to run-time problems that it caused

  PR:		249290
  Reported by:	Stefan Ehmann <shoesoft@gmx.net> et al.

Changes:
  head/graphics/cairo/Makefile
  head/graphics/cairo/distinfo
Comment 7 Yuri Victorovich freebsd_committer 2020-09-13 16:39:02 UTC
I've rolled back r548287 until problems can be investigated.
Comment 8 Eirik Oeverby 2020-09-13 16:52:13 UTC
I can confirm rolling back fixes the problem here (on CURRENT from Sept-13).
Comment 9 Eirik Oeverby 2020-09-13 16:59:20 UTC
It also fixes a problem where the check boxes on this page (bugs.freebsd.org - e.g. the 'Ignore Bug Mail' checkbox) and elsewhere won't indicate whether they are checked or not.
Comment 10 Stefan Ehmann 2020-09-13 17:37:19 UTC
Crash seems to be fixed on cairo master.

According to git bisect it's fixed by:
https://github.com/freedesktop/cairo/commit/2d1a137f3d27b60538c58b25e867288c7b0b61bc
Comment 11 J. B. 2020-09-17 21:05:07 UTC
Rebuilding cairo locally fixed firefox here. Much quicker than waiting for the package...  [ seamonkey freezes though... ]
Comment 12 J. B. 2020-09-17 21:23:02 UTC
Re: comment #11
I deleted from /tmp
gvfs-root* ,  gconfd-root/sa*
orbit-root/li* , and dbus-* f
..............................
and even seamonkey is fixed, as 
before,  hopefully for the near term.
..........................
Comment 13 Jan Beich freebsd_committer 2020-09-25 14:48:40 UTC
*** Bug 249409 has been marked as a duplicate of this bug. ***